Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.conversation
Class UnitTest

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--org.opencyc.conversation.UnitTest

All Implemented Interfaces:
  junit.framework.Test

public class UnitTest
extends junit.framework.TestCase

Provides a unit test suite for the `org.opencyc.fsm` package

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Constructor Summary
`UnitTest(java.lang.String name)` Creates a `UnitTest` object with the given name.

Method Summary
`static void` | `main(java.lang.String[] args)` Main method in case tracing is prefered over running JUnit GUI.
`static junit.framework.Test` | `suite()` Returns the test suite.
`void` | `testAction()` Tests the Action object.
`void` | `testArc()` Tests the Arc object.
`void` | `testFsmFactory()` Tests the FsmFactory object.
`void` | `testInterpreter()` Tests the Interpreter object.
`void` | `testPerformative()` Tests the Performative object.
`void` | `testPerformer()` Tests the Performer object.
`void` | `testState()` Tests the State object.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnitTest

    public UnitTest(java.lang.String name)

  Creates a `UnitTest` object with the given name.

Method Detail

### suite

    public static junit.framework.Test suite()

  Returns the test suite.
  Returns:
    the test suite

### main

    public static void main(java.lang.String[] args)

  Main method in case tracing is prefered over running JUnit GUI.

### testAction

    public void testAction()

  Tests the Action object.

### testPerformative

    public void testPerformative()

  Tests the Performative object.

### testState

    public void testState()

  Tests the State object.

### testArc

    public void testArc()

  Tests the Arc object.

### testFsmFactory

    public void testFsmFactory()

  Tests the FsmFactory object.

### testInterpreter

    public void testInterpreter()

  Tests the Interpreter object.

### testPerformer

    public void testPerformer()

  Tests the Performer object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD